<template>
<CNav variant="tabs" role="tablist">
    <CNavItem>
        <CNavLink
            href="#"
            :active="activeTab === 1"
            @click="turnActive(1)"
        >
            Empreinte Carbone
        </CNavLink>
    </CNavItem>
    <CNavItem>
        <CNavLink
            href="#"
            :active="activeTab === 2"
            @click="turnActive(2)"
        >
            Utilisation du sol
        </CNavLink>
    </CNavItem>
    <CNavItem>
        <CNavLink
            href="#"
            :active="activeTab === 3"
            @click="turnActive(3)"
        >
            Score Global
        </CNavLink>
    </CNavItem>

</CNav>
</template>

<script>
import { CNav, CNavItem, CContainer, CNavLink,} from '@coreui/vue';

export default {
    components: {
        CNav,
        CContainer,
        CNavItem,
        CNavLink,
    },
    data() {
        return {
            activeTab: 1,
        }
    },
    methods: {
        turnActive(n) {
            this.activeTab = n
            this.$emit('update:activeTab', n)
        }
    },
    emits: ['update:activeTab'],

}
</script>

<style>

</style>